Bug 98669 - Wanted: Upgrade support
Summary: Wanted: Upgrade support
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-packages   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-07 12:18 UTC by Toralf
Modified: 2007-04-18 16:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 17:58:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Toralf 2003-07-07 12:18:38 UTC
Description of problem:
redhat-config-packages should support upgrades of packages. 

Version-Release number of selected component (if applicable):
1.1.8 or 1.1.9

How reproducible:


Steps to Reproduce:
1. redhat-config-packages --tree <install tree>
2. Install a package...
3. exit
4. Replace the rpm file for the above mentioned package on <install tree> with a
newer version (and run genhdlist etc.)
5. redhat-config-packages --tree <install tree>
    
Actual results:
Nothing special...


Expected results:
"Update" enabled before anything is selected. Pressing the button directly will
install the new version of the package.


Additional info:
What I'm really saying is that it would also be nice to be able to use
redhat-config-packages to keep a system up-to-date. Yeah, I know that up2date
may be used for that, but I don't think that tool is very practical when you are
maintaning a network with several similar setups.

Some sort of special behaviour when comps.xml has changed would also be nice,
but may be hard to implement; I'm assuming that the package group state as such
isn't saved anywhere.

Comment 1 Jeremy Katz 2005-09-21 17:58:04 UTC
This isn't going to happen with the current generation of
system-config-packages.  The next generation tool (which should hopefully be in
FC5) will have better support for this.


Note You need to log in before you can comment on or make changes to this bug.